//
//	Copyright  1997,1998 Forest Edge Software, All Rights Reserved
//
//	Program:	eVAX, a "Virtual VAX" for Mac OS Computers
//
//	Author:		Tom Cole
//
//	Module:		dummy_profiler.c
//
//	Purpose:	This module contains dummy implementations of the MW profiler
//				support.  This allows the module to be linked in to the optimized
//				target, while the debug target contains the real profiling library.
//
//				NOTE:  THIS MODULE MUST *NOT* BE PART OF THE DEBUG BUILD
//
//
//	History:	02/16/98		Initial implementation
//
//

#include "vax.pch"
#include "console_proto.h"
#include <Profiler.h>



OSErr pascal ProfilerInit( short x1, short x2, short x3, short x4 )
{

	static long first_time = 1;
	
	if( first_time ) {
		first_time = 0;
		printf( "NOTE: Profiling is not supported in the optimized build.\n" );
	}
	
	return 0;
}

void pascal ProfilerClear( void )
{
	return ;
}

OSErr pascal ProfilerDump( StringPtr dummy )
{
	return 0;
}

void pascal ProfilerTerm( void )
{

	return;
}


